개발환경 - 글조회

개발자용 개발환경(Implementation Tool) Light Version 2.6.0 상세보기 (조회된 글의 제목,작성자,작성일,조회,첨부파일, 내용의 정보를 제공하는 표입니다.)
제목 개발자용 개발환경(Implementation Tool) Light Version 2.6.0
작성자 관리자 작성일 2013-06-04 조회 10325
첨부파일
[구성]
전자정부 표준프레임워크에서는 개발환경을 경량화하기 위해 개발환경을 필수 요소와 선택 요소로 구분하였습니다. eGovFrameDev-2.6.0-LightVer은 개발환경 필수 요소만이 설치되어 있는 경량 개발환경으로, 소규모 프로젝트에서 사용하기 용이합니다. 또한 프로젝트에서 개발환경 선택 요소가 필요한 경우, 필요 기능만을 선택적으로 구성할 수 있도록 맞춤형 개발환경 도구를 제공합니다.
개발자용 개발환경(Implementation Tool) Light Version은 개발자의 코드 작성을 지원하는 도구로써, eGovFrame기반의 어플리케이션 개발을 지원하는 IDE와 Editor(SourceCode, UML, ERD, DBIO, WebFlow, Code Generation, Code Inspection, 공통컴포넌트 생성, 맞춤형 개발환경, Nexus, SVN)와 Debug(Local, Remote)로 구성되어 있습니다.
[개선 기능]
- 이클립스 버전 업그레이드(Juno SR1 -> Juno SR2)
- 표준프레임워크 플러그인 설치시 배치 플러그인 라이선스 미표시 수정
- 템플릿 소스 수정 : 엔터프라이즈 EgovNoticeInqire.jsp
- eGovFrame Mobile Project Example DB 방식 변경 (embedded hsql)
- eGovFrame Web Project example DB 방식 변경 (embedded hsql)
- 공통컴포넌트 / 모바일 공통컴포넌트 마법사 기능 추가 : 마법사 기능을 이용해서 cubrid 생성시 오류 수정
- 개발환경 템플릿 JDK 버전 변경(1.5 -> 1.6)
- splash 이미지 변경(2.5 -> 2.6)
[설치방법]
개발환경을 구성할 디렉토리에 eGovFrameDev-2.6.0-lightVer의 압축을 풀어 eclipse를 실행하면 개발환경 필수요소가 설치되어있는 개발환경을 사용할 수 있습니다.
eclipse 실행 후 Failed to create the Java Virtual Machine 오류 발생 시, 
eclipse 설치 경로 > eclipse.ini 파일에 사용자 PC의 JDK 설치 경로를 다음과 같이 추가합니다.
(JDK는 1.6 버전을 권장한다. 1.5버전에서는 JSP Editor가 제대로 동작하지 않을 수 있음)
(예시)
openFile
-vm
C:\Program Files\Java\jdk1.6.0_47\bin\javaw.exe
-vmargs
-Dosgi.requiredJavaVersion=1.6
-Xms40m
-Xmx512m
-Dfile.encoding=UTF-8